%define name	xdotool
%define version	3.20160805.1
%define release	%mkrel 1
%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	fake keyboard/mouse input, window management, and more
Group:		Toys
License:	GPL
URL:		http://www.semicomplete.com/projects/xdotool
Source:     	https://github.com/jordansissel/xdotool/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:         %{name}-3.20160805.1-makefile.patch
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xtst-devel
BuildRequires:  %{_lib}xinerama-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This tool lets you simulate keyboard input and mouse activity, move and resize
windows, etc. It does this using X11's XTEST extension and other Xlib
functions.

Additionally, you can search for windows and move, resize, hide, and modify
window properties like the title. If your window manager supports it, you can
use xdotool to switch desktops, move windows between desktops, and change the
number of desktops. 

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:   	%{name}-devel = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
%make

%install
rm -rf %{buildroot}
%makeinstall_std \
    PREFIX=%{_prefix} \
    INSTALLMAN=%{_datadir}/man \
    INSTALLLIB=%{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT README VERSION CHANGELIST
%{_bindir}/xdotool
%{_mandir}/man1/xdotool.1*
%{_libdir}/libxdo.so.%{major}


%files devel
%defattr(-,root,root)
%{_libdir}/libxdo.so
%{_includedir}/xdo.h


%changelog
* Fri May 04 2018 pp <pp> 3.20160805.1-1pclos2018
- updated BR
- update to version 3

* Mon Nov 14 2011 Texstar <texstar at gmail.com> 2.20110530.1-1pclos2011
- import xdotool

